%	* * * * * CORBA PARELL-VELOCITAT * * * * *

% Motor 1.5Kw
Rs=4.3
Ls=0.300484532
Rr=4.1
Lr=0.297301433
Lm=0.289661996
Lds=Ls-Lm
Ldr=Lr-Lm
Lsc=Lds+Ldr
p1=2
J=0.03
k1=10.08728513
k2=0
k3=0

ome=2*pi*50;
xls=ome*Lds; xlr=ome*Ldr; xlm=ome*Lm;
wmc=0; wm=0; wma=wm;	% donar el mateix valor als 3
int=0; tt=0; ii1=0; pmv=0;
wnr=ome/p1;	% Vel. de sincronisme
			% ............... Inici bucle
while wmc<=wnr	
s=(wnr-wmc)/wnr;        % suposem una maquina de 'wnr' rad/s
rr=Rr/s;
z=[Rs+(xlm+xls)*j    -xlm*j
   -xlm*j            rr+(xlm+xlr)*j ];
v=[230 0]';
i=inv(z)*v;
wm=[wm;wmc];  			% vector de velocitat
int=abs(i(2));
t=3*Rr*((1-s)/s)*(int^2)/wmc;  	% calcul del parell a cada step
tt=[tt;t];                     % vector del parell
ii1=[ii1;i(1)];			% vector d'intensitat d'estator
wmc=wmc+0.25;
end			% ........................ Fi del bucle
II1=abs(ii1);
			% ........... Elimino el primer valor
tt([1],:)=[]; wm([1],:)=[]; II1([1],:)=[];
parr=k1+k2.*wm+k3.*wm.^2;

% Velocitat en rpm i Intesitat de lnia
wmrpm=wm*(60/(2*pi))
II1D=II1*sqrt(3)
			% ....................... dibuixa
tt2=tt; tt2(isnan(tt2))=[];	 % Elimino valors NaN
hlev=ceil(max(tt2));
clear tt2
plot(wmrpm,tt,'k',wmrpm,II1D,'k',wmrpm,parr,'k');
whitebg
title('Corbes estabilitzades del motor')
axis([wma,wnr,0,hlev]);
xlabel('Vel. rad/s')
ylabel('-Par Nm  -Int. A')
grid
%ginput